<!doctype html>
<html lang="en">

<head>
    <!-- required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- bootstrap css -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link rel="stylesheet" href="static/styles.css">

    <!-- optional javaScript for bootstrap -->
    <!-- jQuery first, then popper.js, then bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.1.1.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>

    <!-- math module -->
    <script src="https://pagecdn.io/lib/mathjs/7.0.1/math.js"></script>

    <!-- tensorflow.js -->
    <script src="https://cdn.jsdelivr.net/npm/@tensorflow/tfjs@2.0.0/dist/tf.min.js"></script>

    <!-- openCV -->
    <script src='js/open-cv.js'></script>

    <!-- homemade js -->
    <script src="js/python-model.js"></script>
    <script src="js/tfjs-model.js"></script>
    <script src="js/helpers.js"></script>
    <script src="js/motion-detection.js"></script>

    <title>Perceptron</title>
</head>

<body onload="prepareCanvas()">

    <!-- text -->
    <div class="container-fluid text-center my-2">

        <h1>Perceptron Wars</h1>

        <h5>Which model fares better?</h5>

        <br>

        <p>Draw a number on the black canvas. Click the "Predict" button to see which model can correctly predict the number you draw.</p>

        <p>Use the "Reset" button to draw a different number.</p>

        <br>

        <h5>Python Model Prediction -> <span id="pythonPredictionSpan">...</span></h5>

        <h5>Tensorflow Model Prediction -> <span id="tfjsPredictionSpan">...</span></h5>

        <br>

        <div>

            <!-- canvas -->
            <div class="row">

                <div id="canvasRow" class="col">

                    <canvas id='canvas' height="150px" width="150px"></canvas>

                </div>

            </div>

            <br>

            <!-- buttons -->
            <div class="row">

                <div class="col">

                    <button class="btn btn-secondary shadow-none" onclick="makePredictions()">Predict</button>
                    <button class="btn btn-secondary shadow-none" onclick="clearCanvas()">Reset</button>

                </div>

            </div>

        </div>

    </div>

    <br>

    <!-- footer -->
    <footer class="text-center align-items-end">
        <p>Visit <a href="https://gitlab.com/treuzedev/perceptron-wars" target="_blank" style="color: black;">@eduardoaemunoz</a> for more information about the models used.</p>
    </footer>

</body>

</html>